Issue 90743

Summary: ERR:509 when opening a Excel 2008.xlsx file
Product: Calc Reporter: wolfgang311 <w_herbel>
Component: open-importAssignee: oc
Status: CLOSED FIXED QA Contact: issues@sc <issues>
Severity: Trivial    
Priority: P3 CC: daniel.rentz, eric.bachard, issues
Version: OOo 3.0 Beta   
Target Milestone: ---   
Hardware: All   
OS: All   
Issue Type: DEFECT Latest Confirmation in: ---
Developer Difficulty: ---
Issue Depends on: 6087    
Issue Blocks:    
Attachments:
Description Flags
Error message in Formula field and Tab name
none
After opening of Excel 2008 file none

Description wolfgang311 2008-06-15 04:03:47 UTC
When I open an existing Excel file it seems that the formulas are not interpreted correctly.

Excel formula: =-SUMIF('debits&credits'!H$2:H$64;"Insurance";'debits&credits'!F$2:F$64)
Tab name in Excel file: "Debits Credits"
Error msg: ERR:508

Operating System OS X 10.5.3
File format: Excel 2008, *.xlsx
Comment 1 wolfgang311 2008-06-15 04:10:13 UTC
Created attachment 54485 [details]
Error message in Formula field and Tab name
Comment 2 eric.bachard 2008-06-16 02:08:45 UTC
+ me on CC

I suggest the issue to be reverified once aquavcl08 will be integrated.
Comment 3 eric.bachard 2008-06-16 02:09:03 UTC
.
Comment 4 oc 2008-06-17 08:02:11 UTC
Hi Daniel, please have a look
Comment 5 daniel.rentz 2008-06-17 08:10:51 UTC
This is a known issue.

DR->ER: we need a mechanism in the XML formula parser to map Excel sheet names
to Calc sheet names...
Comment 6 ooo 2008-06-17 11:04:56 UTC
This issue may actually vanish once we allow all characters in sheet names with
issue 6087 so we don't have to adapt sheet names anymore to what Calc allows, or
did I miss something?
Comment 7 daniel.rentz 2008-06-17 11:15:20 UTC
yes, the filter still has to map OOXML's "[1]Sheet1" to Calc's
"'file:///bla/bla/file.xls'#$Sheet1"

and the parser has to parse quoted sheet names in OOXML formulas which currently
does not work.
Comment 8 wolfgang311 2008-07-25 02:53:05 UTC
Download of Beta 2 re-tested.
Issue still not resolved:

The cell contains in Excel 2008 a ref. to a file (='Macintosh HD:Users:w_herbel:Documents:Private:Condo 
Trust:[Condo Plan 2007.xlsx]Debits&Credits'!$G$65) however when opening via Spreadsheet the cell ref. 
only shows: ='[1]debits&credits'!$G$65. Therefore the whole link to the ref. file is missing.

Comment 9 wolfgang311 2008-07-25 02:53:21 UTC
Download of Beta 2 re-tested.
Issue still not resolved:

The cell contains in Excel 2008 a ref. to a file (='Macintosh HD:Users:w_herbel:Documents:Private:Condo 
Trust:[Condo Plan 2007.xlsx]Debits&Credits'!$G$65) however when opening via Spreadsheet the cell ref. 
only shows: ='[1]debits&credits'!$G$65. Therefore the whole link to the ref. file is missing.

Comment 10 ooo 2008-07-29 11:30:49 UTC
This issue is targeted to OOo3.1, so yes, it is not fixed in Beta2. And please
don't change the Version field, it labels when the issue was first
detected/reported. Thanks.
Comment 11 ooo 2008-12-02 16:52:47 UTC
Fixed related to issue 92797 in CWS mooxlsc.
Comment 12 ooo 2008-12-09 12:22:12 UTC
Reassigning to QA for verification.
Comment 13 oc 2008-12-11 15:17:31 UTC
verified in internal build cws_mooxlsc
Comment 14 vladimir_hitekschool 2009-04-02 23:12:46 UTC
Issue 90743 has been fixed in master version OOo-dev 3.1 .0 (OOO310m8 
Build:9395) for Windows XP and can be closed.
Comment 15 vladimir_hitekschool 2009-04-02 23:14:15 UTC
Created attachment 61370 [details]
After opening of Excel 2008 file
Comment 16 oleghitekschool 2009-04-05 20:23:19 UTC
The Issue checked and closed by HitekSchool interns, Group 1 - as part of an 
Issue Hunting Party.